Skip to main content
POST
/
v1
/
campaign-groups
/
{id}
Update a campaign group
curl --request POST \
  --url https://app.loops.so/api/v1/campaign-groups/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "cgrp_01hxyz",
  "name": "Product updates",
  "description": "Monthly product announcements",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:15:00.000Z"
}
Content API endpoints are currently in beta and are subject to change.
At least one field must be provided. The reserved "Unsorted" group cannot be edited.

Request

Path parameters

id
string
required
The ID of the campaign group.

Body

name
string
The group name. Cannot be the reserved name "Unsorted".
description
string
A description for the group.

Response

Success

id
string
required
The campaign group ID.
name
string
required
The group name.
description
string
required
The group description.
createdAt
string
required
ISO 8601 timestamp for when the group was created.
updatedAt
string
required
ISO 8601 timestamp for when the group was last updated.

Error

If the request body is invalid, the group name is reserved, or the "Unsorted" group cannot be edited, a 400 Bad Request is returned. A 404 Not Found is returned if the campaign group does not exist. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "cgrp_01hxyz",
  "name": "Product updates",
  "description": "Monthly product announcements",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:15:00.000Z"
}
Last modified on June 22, 2026